package com.ekexiu.project.bridge.alarm;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

@PrimaryKey({"id","seq"})
@Table(descp="报警数据")
public class AlarmDataItem {
    private String id;
    private int seq;
    private String stime;
    private String atime;
    private String data;
    
    @Column(descp="报警编号",value=DE.text_de)
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}
	@Column(descp="传感内部编号",value=DE.int_de)
	public int getSeq() {
		return seq;
	}

	public void setSeq(int seq) {
		this.seq = seq;
	}
    @Column(descp="起始时间",value=DE.text_de)
	public String getStime() {
		return stime;
	}

	public void setStime(String stime) {
		this.stime = stime;
	}
    @Column(descp="报警时间",value=DE.text_de)
	public String getAtime() {
		return atime;
	}

	public void setAtime(String atime) {
		this.atime = atime;
	}
    @Column(descp="报警数据，共300个数据点，以英文逗号分隔",value=DE.text_de)
	public String getData() {
		return data;
	}

	public void setData(String data) {
		this.data = data;
	}
    
	
	
    
}
