package com.ekexiu.project.bridge.resource.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.project.bridge.base.po.BaseTable;

@PrimaryKey("id")
@Table(descp="采集盒")
public class CollectDevice implements BaseTable {
	private String id;
	private int seq;
	private String code;
	private String serverId;
	private int	channels;
	private String remark;
	private boolean active;
	
	private String createTime;
	private String modifyTime;
	private String creator;
	private String modifier;
	
	
	
	
	
	
	@Column(descp="id",value=DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(descp="内部编号",value=DE.int_de)
	public int getSeq() {
		return seq;
	}
	public void setSeq(int seq) {
		this.seq = seq;
	}
	@Column(descp="采集盒编号",value=DE.text_de)
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	@Column(descp="采集盒所属服务器ID",value=DE.text_de)
	public String getServerId() {
		return serverId;
	}
	public void setServerId(String serverId) {
		this.serverId = serverId;
	}
	@Column(descp="采集盒信道数量",value=DE.int_de)
	public int getChannels() {
		return channels;
	}
	public void setChannels(int channels) {
		this.channels = channels;
	}
	@Column(descp="备注",value=DE.Text_de)
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	@Column(descp="是否可用",value=DE.boolean_de)	
	public boolean isActive() {
		return active;
	}
	public void setActive(boolean active) {
		this.active = active;
	}
	

	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	public String getCreator() {
		return creator;
	}
	public void setCreator(String creator) {
		this.creator = creator;
	}
	public String getModifier() {
		return modifier;
	}
	public void setModifier(String modifier) {
		this.modifier = modifier;
	}
	
	
	
	
}
