package com.ekexiu.project.job;

import java.sql.Connection;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

import javax.sql.DataSource;

import org.jfw.util.bean.AfterBeanFactory;
import org.jfw.util.bean.BeanFactory;
import org.jfw.util.context.JfwAppContext;
import org.jfw.util.jdbc.JdbcUtil;

import com.ekexiu.project.bridge.system.service.DictService;



public class TaskJob implements AfterBeanFactory {
	private ScheduledExecutorService service;
	private DataSource dataSource;

	@Override
	public void handle(BeanFactory bf) throws Throwable {
		this.service = JfwAppContext.getScheduledExecutorService();
		this.dataSource =(DataSource) bf.getBean("dataSource");
		Connection con  = this.dataSource.getConnection();
		try{
		
		DictService ds = (DictService) bf.getBean("com_ekexiu_project_bridge_system_service_DictService");
		ds.load(con);
		
		}finally{
			JdbcUtil.close(con);
		}

	}


}
